Bug 446149

Summary: Scribus confused about fonts
Product: [Fedora] Fedora Reporter: Andrew McNabb <amcnabb>
Component: scribusAssignee: Andreas Bierfert <andreas.bierfert>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: luya
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-13 21:56:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 438286    

Description Andrew McNabb 2008-05-13 01:03:09 UTC
Description of problem:

Scribus seems to be confused about fonts.  For instance, the default font for
new text is Abyssinica SIL Regular instead of a more normal choice (such as Deja
Vu Sans or something).  Since Abyssinica is an Ethiopic font, no text can be
entered.  For new users, this is very confusing.  Also, changing the font of
existing text seems to be ignored.

There are some relevant error messages printed to the console:

QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
QComboBox::changeItem: (fontStyle) Index 0 out of range
Scribus help in your selected language does not exist, trying English.
Otherwise, please visit http://docs.scribus.net.
Scribus help in your selected language does not exist, trying English.
Otherwise, please visit http://docs.scribus.net.


Version-Release number of selected component (if applicable):

scribus-1.3.4-5.fc9

Comment 1 Michael Schwendt 2008-05-26 23:43:43 UTC
Attempts at trying to change the font in the text area editor
can lead to a crash. This is on Fedora 8, which also suffers from
the fonts problem.

[...]
QComboBox::changeItem: (fontStyle) Index 0 out of range
scribus: storytext.cpp:283: void StoryText::removeChars(int, uint): Assertion
`pos + static_cast<int>(len) <= length()' failed.
Scribus Crash
-------------
Scribus crashes due to Signal #6
Calling Emergency Save
[...]


Comment 2 Luya Tshimbalanga 2008-06-25 07:53:39 UTC
I am including bug #438286 as it related to the default paragraph style issue.

Comment 3 Luya Tshimbalanga 2008-06-25 07:58:33 UTC
Just for reference, I have used the similar version on Windows XP which works
fine without issues. 

Comment 4 Luya Tshimbalanga 2009-02-17 04:43:27 UTC
The issue seems to be resolved on Fedora 10. Not sure if it also applied to Fedora 9.

Comment 5 Bug Zapper 2009-06-10 00:45:00 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping